mlpack_hmm_viterbi(1)

NAME
mlpack_hmm_viterbi - hidden markov model (hmm) viterbi state prediction

SYNOPSIS
 mlpack_hmm_viterbi -i unknown -m unknown [-V bool] [-o unknown] [-h -v]

DESCRIPTION

This utility takes an already-trained HMM, specified as '--input_model_file (-m)', and evaluates the most probable hidden state sequence of a given sequence of observations (specified as ''--input_file (-i)', using the Viterbi algorithm. The computed state sequence may be saved using the '--output_file (-o)' output parameter.

For example, to predict the state sequence of the observations 'obs.csv' using the HMM 'hmm.bin', storing the predicted state sequence to 'states.csv', the following command could be used:

$ mlpack_hmm_viterbi --input_file obs.csv --input_model_file hmm.bin --output_file states.csv

REQUIRED INPUT OPTIONS

--input_file (-i) [unknown]
    Matrix containing observations,

--input_model_file (-m) [unknown]
    Trained HMM to use.

OPTIONAL INPUT OPTIONS

--help (-h) [bool]
    Default help info.

--info [string]
    Print help on a specific option. Default value ''.

--verbose (-v) [bool]
    Display informational messages and the full list of parameters and timers at the end of execution.

--version (-V) [bool]
    Display the version of mlpack.

OPTIONAL OUTPUT OPTIONS

--output_file (-o) [unknown] File to save predicted state sequence to.

ADDITIONAL INFORMATION

For further information, including relevant papers, citations, and theory, consult the documentation found at http://www.mlpack.org or included with your distribution of mlpack.